=== debian/changelog ===
rawtherapee (5.5-1) unstable; urgency=medium

  * New upstream release.
  * Make build reproducible (closes: #907613).
  * Bump Standards-Version to 4.2.1 (no changes necessary).

 -- Philip Rinn <rinni@inventati.org>  Thu, 20 Dec 2018 16:00:06 +0100
