## rawtherapee 5.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -289,13 +289,24 @@
 
 # Check for libraries:
 find_package(PkgConfig)
+
 if(WIN32)
-pkg_check_modules (GTK     REQUIRED gtk+-3.0>=3.22.24)
-pkg_check_modules (GTKMM   REQUIRED gtkmm-3.0>=3.22)
-else()
-pkg_check_modules (GTK     REQUIRED gtk+-3.0>=3.16)
-pkg_check_modules (GTKMM   REQUIRED gtkmm-3.0>=3.16)
-endif()
+    pkg_check_modules (GTK     REQUIRED gtk+-3.0>=3.22.24)
+    pkg_check_modules (GTKMM   REQUIRED gtkmm-3.0>=3.22)
+else()
+    pkg_check_modules (GTK     REQUIRED gtk+-3.0>=3.16)
+    pkg_check_modules (GTKMM   REQUIRED gtkmm-3.0>=3.16)
+endif()
+
+if(GTK_VERSION VERSION_GREATER "3.24.1" AND GTK_VERSION VERSION_LESS "3.24.7")
+    if(GTK_VERSION VERSION_EQUAL "3.24.5")
+        set(CERTAINTY "known to")
+    else()
+        set(CERTAINTY "likely to")
+    endif()
+    message(WARNING "\nWarning! You are using GTK+ version " ${GTK_VERSION} " which is " ${CERTAINTY} " have an issue where combobox menu scroll-arrows are missing when a Gtk::ComboBox list does not fit vertically on the screen. As a result, users of your build will not be able to select items in the following comboboxes: Processing Profiles, Film Simulation, and the camera and lens profiles in Profiled Lens Correction.\nIt is recommended that you either downgrade GTK+ to <= 3.24.1 or upgrade to >= 3.24.7.")
+endif()
+
 pkg_check_modules (GLIB2   REQUIRED glib-2.0>=2.44)
 pkg_check_modules (GLIBMM  REQUIRED glibmm-2.4>=2.44)
 pkg_check_modules (CAIROMM REQUIRED cairomm-1.0)
@@ -305,6 +316,7 @@
 pkg_check_modules (GOBJECT REQUIRED gobject-2.0>=2.44)
 pkg_check_modules (SIGC    REQUIRED sigc++-2.0>=2.3.1)
 pkg_check_modules (LENSFUN REQUIRED lensfun>=0.2)
+pkg_check_modules (RSVG    REQUIRED librsvg-2.0>=2.40)
 
 if(WIN32)
     add_definitions(-DWIN32)
@@ -318,29 +330,3 @@
     set(EXTRA_LIB "-lws2_32 -lshlwapi")
 endif()
 
-pkg_check_modules(LCMS REQUIRED lcms2>=2.6)
-pkg_check_modules(EXPAT REQUIRED expat>=2.1)
-pkg_check_modules(FFTW3F REQUIRED fftw3f)
-pkg_check_modules(IPTCDATA REQUIRED libiptcdata)
-pkg_check_modules(TIFF REQUIRED libtiff-4>=4.0.4)
-find_package(JPEG REQUIRED)
-find_package(PNG REQUIRED)
-find_package(ZLIB REQUIRED)
-if(WITH_SYSTEM_KLT)
-    find_package(KLT REQUIRED)
-endif()
-
-
-# Check for libcanberra-gtk3 (sound events on Linux):
-if(UNIX AND(NOT APPLE))
-    pkg_check_modules(CANBERRA-GTK REQUIRED libcanberra-gtk3)
-endif()
-
-if(WITH_MYFILE_MMAP)
-    add_definitions(-DMYFILE_MMAP)
-endif()
-
-if(WITH_LTO)
-    # Using LTO with older versions of binutils requires setting extra flags
-    set(BINUTILS_VERSION_MININUM "2.29")
-    execute_process(COMMAND ar --version OUTPUT_VARIABLE BINUTILS_VERSION_DETECTED)
