=== rtgui/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Common source files for both CLI and non-CLI execautables
 set(CLISOURCEFILES
     alignedmalloc.cc
-    edit.cc
+    editcallbacks.cc
     main-cli.cc
     multilangmgr.cc
     options.cc
@@ -49,8 +49,10 @@
     dirpyrequalizer.cc
     distortion.cc
     dynamicprofilepanel.cc
-    edit.cc
+    editbuffer.cc
+    editcallbacks.cc
     editorpanel.cc
+    editwidgets.cc
     editwindow.cc
     epd.cc
     exiffiltersettings.cc
@@ -120,6 +122,8 @@
     rgbcurves.cc
     rotate.cc
     rtimage.cc
+    rtsurface.cc
+    rtscalable.cc
     rtwindow.cc
     saveasdlg.cc
     saveformatpanel.cc
@@ -180,6 +184,7 @@
         ${GTKMM_INCLUDE_DIRS}
         ${GTK_INCLUDE_DIRS}
         ${LENSFUN_INCLUDE_DIRS}
+        ${RSVG_INCLUDE_DIRS}
         )
     link_directories(. "${PROJECT_SOURCE_DIR}/rtexif"
         ${EXTRA_LIBDIR}
@@ -190,6 +195,7 @@
         ${GTKMM_LIBRARY_DIRS}
         ${GTK_LIBRARY_DIRS}
         ${LENSFUN_LIBRARY_DIRS}
+        ${RSVG_LIBRARY_DIRS}
         )
 else()
     include_directories(${EXTRA_INCDIR}
@@ -207,6 +213,7 @@
         ${IPTCDATA_INCLUDE_DIRS}
         ${LCMS_INCLUDE_DIRS}
         ${LENSFUN_INCLUDE_DIRS}
+        ${RSVG_INCLUDE_DIRS}
         )
     link_directories(${EXTRA_LIBDIR}
         ${CANBERRA-GTK_LIBRARY_DIRS}
@@ -223,10 +230,12 @@
         ${IPTCDATA_LIBRARY_DIRS}
         ${LCMS_LIBRARY_DIRS}
         ${LENSFUN_LIBRARY_DIRS}
+        ${RSVG_LIBRARY_DIRS}
         )
 endif()
 
-if(OPENMP_FOUND AND NOT APPLE)
+# Excluding libatomic needed by Clang/FreeBSD, #3636
+if(OPENMP_FOUND AND NOT APPLE AND NOT "${CMAKE_SYSTEM_NAME}" STREQUAL "FreeBSD")
     set(EXTRA_LIB_RTGUI ${EXTRA_LIB_RTGUI} "atomic")
 endif()
 
@@ -240,6 +249,10 @@
 # Add dependencies to executables targets
 add_dependencies(rth UpdateInfo)
 add_dependencies(rth-cli UpdateInfo)
+
+#Define a target specific definition to use in code
+target_compile_definitions(rth PUBLIC GUIVERSION)
+target_compile_definitions(rth-cli PUBLIC CLIVERSION)
 
 # Set executables targets properties, i.e. output filename and compile flags
 # for "Debug" builds, open a console in all cases for Windows version
@@ -270,6 +283,7 @@
     ${TIFF_LIBRARIES}
     ${ZLIB_LIBRARIES}
     ${LENSFUN_LIBRARIES}
+    ${RSVG_LIBRARIES}
     )
 
 target_link_libraries(rth-cli rtengine
@@ -290,6 +304,7 @@
     ${TIFF_LIBRARIES}
     ${ZLIB_LIBRARIES}
     ${LENSFUN_LIBRARIES}
+    ${RSVG_LIBRARIES}
     )
 
 # Install executables
