=== debian/changelog ===
rawtherapee (5.6-0.1~mx17+1) mx; urgency=medium

  * New upstream release:
    - Pseudo-HiDPI support, for a smooth and sharp user interface regardless of
      screen size. Pseudo-HiDPI mode is disabled by default, enable it in
      Preferences > General > Appearance. Scaling in RawTherapee depends on font
      size, DPI and display scaling. While scaling has been tested to work well
      in Windows, Linux and macOS, there are some macOS display modes which are
      incompatible with it, specifically those modes suffixed by "(HiDPI)" in
      macOS Display settings. Some versions of macOS (10.14.*) seem to not list
      any modes, in which case the user must just give it a try.
    - Ability to move tools to a new Favorites tab,
      http://rawpedia.rawtherapee.com/Favorites_Tab
    - "Unclipped" processing profile, to make it easy to save an image while
      preserving data across the whole tonal range,
      http://rawpedia.rawtherapee.com/Unclipped
    - User-adjustable tiles-per-thread settings in Preferences > Performance, for
      users who want to find optimal values for their system. The default value
      of 2 tiles-per-thread performs best overall.
    - Hundreds of speed optimizations, bug fixes, and overall improvements.
  
  * Add librsvg2-dev (>= 2.40) build-depend.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 26 Apr 2019 18:06:41 -0700

rawtherapee (5.5-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Disable automatic dbgsym packages.
  * Add minimum required versions of cmake and libtiff-dev build-deps.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 18 Dec 2018 16:25:13 -0800

rawtherapee (5.4-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert debhelper compat to 10.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 25 Mar 2018 15:55:36 -0700
