=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: rawtherapee
 Section: graphics
 Priority: optional
-Maintainer: Philip Rinn <rinni@inventati.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Philip Rinn <rinni@inventati.org>
 Build-Depends:
- cmake,
- debhelper (>= 11),
+ cmake (>= 2.8.8),
+ debhelper (>= 10.2),
+ imagemagick,
  libcanberra-gtk3-dev,
  libexiv2-dev,
  libexpat1-dev,
@@ -16,13 +18,14 @@
  liblcms2-dev,
  liblensfun-dev,
  libpng-dev,
+ librsvg2-dev (>= 2.40),
  libsigc++-2.0-dev,
- libtiff-dev,
+ libtiff-dev | libtiff5-dev (>= 4.0.4),
  zlib1g-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/debian/rawtherapee
 Vcs-Git: https://salsa.debian.org/debian/rawtherapee.git
-Homepage: https://www.rawtherapee.com
+Homepage: http://www.rawtherapee.com
 
 Package: rawtherapee
 Architecture: any
