## rawtherapee 5.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
+cmake_minimum_required(VERSION 3.5)
+
+# Compiler id for Apple Clang
 if(APPLE)
-    cmake_minimum_required(VERSION 3.3)
     cmake_policy(SET CMP0025 NEW)
-else()
-    cmake_minimum_required(VERSION 2.8.8)
 endif()
 
 # Must stay before the project() command:
@@ -164,7 +164,7 @@
 if(NOT DEFINED DATADIR)
     if(BUILD_BUNDLE)
         if(APPLE)
-            set(DATADIR "../Resources")
+            set(DATADIR "../../Resources")
         else()
             set(DATADIR .)
         endif()
@@ -176,7 +176,7 @@
 if(NOT DEFINED LIBDIR)
     if(BUILD_BUNDLE)
         if(APPLE)
-            set(LIBDIR "../Frameworks")
+            set(LIBDIR "../../Frameworks")
         else()
             set(LIBDIR .)
         endif()
@@ -256,6 +256,10 @@
     if("${CODESIGNID}")
         set(CODESIGNID "${CODESIGNID}" CACHE STRING "Codesigning Identity")
     endif()
+    if("${NOTARY}")
+        set(NOTARY "${NOTARY}" CACHE STRING "Notarization Identity")
+    endif()
+
 endif()
 
 # Enforce absolute paths for non-bundle builds:
@@ -326,7 +330,3 @@
     endif()
     if(CMAKE_SIZEOF_VOID_P EQUAL 4)
         add_definitions(-DWINVER=0x0501)
-    endif()
-    set(EXTRA_LIB "-lws2_32 -lshlwapi")
-endif()
-
