=== rtengine/CMakeLists.txt ===
--- 
+++ 
@@ -30,6 +30,7 @@
 set(CAMCONSTSFILE "camconst.json")
 
 set(RTENGINESOURCEFILES
+    badpixels.cc
     CA_correct_RT.cc
     EdgePreservingDecomposition.cc
     FTblockDN.cc
@@ -60,6 +61,8 @@
     eahd_demosaic.cc
     fast_demo.cc
     ffmanager.cc
+    filmnegativeproc.cc
+    filmnegativethumb.cc
     flatcurves.cc
     gauss.cc
     green_equil_RT.cc
