=== rtgui/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
     paramsedited.cc
     pathutils.cc
     threadutils.cc
-    )
+)
 
 set(NONCLISOURCEFILES
     adjuster.cc
@@ -43,6 +43,7 @@
     curveeditorgroup.cc
     darkframe.cc
     defringe.cc
+    dehaze.cc
     diagonalcurveeditorsubgroup.cc
     dirbrowser.cc
     dirpyrdenoise.cc
@@ -55,15 +56,18 @@
     editwidgets.cc
     editwindow.cc
     epd.cc
+    eventmapper.cc
     exiffiltersettings.cc
     exifpanel.cc
     exportpanel.cc
     extprog.cc
+    fattaltonemap.cc
     filebrowser.cc
     filebrowserentry.cc
     filecatalog.cc
     filepanel.cc
     filethumbnailbuttonset.cc
+    filmnegative.cc
     filmsimulation.cc
     filterpanel.cc
     flatcurveeditorsubgroup.cc
@@ -83,12 +87,15 @@
     inspector.cc
     iptcpanel.cc
     labcurve.cc
+    labgrid.cc
     lensgeom.cc
     lensprofile.cc
+    localcontrast.cc
     lockablecolorpicker.cc
     lwbutton.cc
     lwbuttonset.cc
     main.cc
+    metadatapanel.cc
     multilangmgr.cc
     mycurve.cc
     mydiagonalcurve.cc
@@ -122,8 +129,8 @@
     rgbcurves.cc
     rotate.cc
     rtimage.cc
+    rtscalable.cc
     rtsurface.cc
-    rtscalable.cc
     rtwindow.cc
     saveasdlg.cc
     saveformatpanel.cc
@@ -134,6 +141,7 @@
     sharpening.cc
     sharpenmicro.cc
     shcselector.cc
+    softlight.cc
     soundman.cc
     splash.cc
     threadutils.cc
@@ -154,14 +162,7 @@
     xtransprocess.cc
     xtransrawexposure.cc
     zoompanel.cc
-    fattaltonemap.cc
-    localcontrast.cc
-    eventmapper.cc
-    metadatapanel.cc
-    labgrid.cc
-    softlight.cc
-    dehaze.cc
-    )
+)
 
 include_directories(BEFORE "${CMAKE_CURRENT_BINARY_DIR}")
