=== debian/changelog ===
rawtherapee (5.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.0 (no changes necessary).
  * Bump debhelper compat to 12 (no changes necessary).

 -- Philip Rinn <rinni@inventati.org>  Sat, 14 Sep 2019 16:00:37 +0200

rawtherapee (5.6-1) unstable; urgency=medium

  * New upstream release:
    - Add build dependency librsvg2-dev
    - Fix FTBFS with gcc-9 (closes: #925817).
  * Bump Standards-Version to 4.3.0 (no changes necessary).

 -- Philip Rinn <rinni@inventati.org>  Sun, 07 Jul 2019 11:03:30 +0200
