=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: rawtherapee
 Section: graphics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Philip Rinn <rinni@inventati.org>
+Maintainer: Philip Rinn <rinni@inventati.org>
 Build-Depends:
- cmake (>= 2.8.8),
- debhelper (>= 10.2),
- imagemagick,
+ cmake,
+ debhelper (>= 12~),
  libcanberra-gtk3-dev,
  libexiv2-dev,
  libexpat1-dev,
@@ -18,14 +16,14 @@
  liblcms2-dev,
  liblensfun-dev,
  libpng-dev,
- librsvg2-dev (>= 2.40),
+ librsvg2-dev,
  libsigc++-2.0-dev,
- libtiff-dev | libtiff5-dev (>= 4.0.4),
+ libtiff-dev,
  zlib1g-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/rawtherapee
 Vcs-Git: https://salsa.debian.org/debian/rawtherapee.git
-Homepage: http://www.rawtherapee.com
+Homepage: https://www.rawtherapee.com
 
 Package: rawtherapee
 Architecture: any
